Google Maps API har ändrats!

Om du använder OpenLayers PlugIn så har du kanske märkt att kartor från Google har slutat fungera?

Det är för att Google ändrat sitt API och nu kräver en API nyckel för att fungera. Man kan skaffa en gratisnyckel, men denna är begränsad till 2’500 ”requests” per dag.

Skärmbild från 2016-06-24 08-32-41

Vill man säkerställa att ett verktyg som OpenLayers plugin fungerar så måste man antingen skaffa en ”premium” nyckel, eller göra om verktyget så att man fyller i en egen personlig nyckel i stället.

Mitt eget plugin för Lantmäteriets öppna data fungerar lite på samma sätt. Där det förväntas att Du som använder det skaffar en egen API nyckel och ändrar koden med denna.

https://github.com/klakar/lmOpenData

Vad händer nu?

Vi får antagligen se en förändring av flera insticksprogram såväl som webbtjänster där Google Maps API används, men det kan dröja ett tag.

Så länge kan du prova ”QuickMapServices” i stället, vilket i många stycken är ett bättre tillägg för att hantera bakgrundskartor, men det tänkte jag ta ett eget inlägg om senare.

Skärmbild från 2016-06-24 09-15-01

[Uppdatering 2016-07-03: Open Layers Plug-in är uppdaterat till version 1.4 där det skall gå att fylla i en personlig API nyckel. Jag har dock ännu inte lyckats få detta att fungera och tillägget kraschar en av mina QGIS installationer så fort jag försöker. Rekommendationen är att vänta på 1.4.1]

Annonser

Kommentera

Fyll i dina uppgifter nedan eller klicka på en ikon för att logga in:

WordPress.com Logo

Du kommenterar med ditt WordPress.com-konto. Logga ut / Ändra )

Twitter-bild

Du kommenterar med ditt Twitter-konto. Logga ut / Ändra )

Facebook-foto

Du kommenterar med ditt Facebook-konto. Logga ut / Ändra )

Google+ photo

Du kommenterar med ditt Google+-konto. Logga ut / Ändra )

Ansluter till %s

%d bloggare gillar detta: